/*

 FormDescriptionEditor.java
 
 Copyright 2004 KUBO Hiroya (hiroya@sfc.keio.ac.jp).
 
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at
 
 http://www.apache.org/licenses/LICENSE-2.0
 
 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 
 Created on 2004/08/05

 */
package net.sf.sqs_xml.editor.sqs.modules.panel;

import javax.swing.border.TitledBorder;

import net.sf.sqs_xml.editor.base.modules.AbstractNodeEditor;
import net.sf.sqs_xml.editor.base.modules.EditorUtil;
import net.sf.sqs_xml.editor.base.modules.panel.AbstractSingleNodeEditorPanel;


/**
 * @author hiroya
 *
 */
public class FormDescriptionPanel extends AbstractSingleNodeEditorPanel{
    public static final long serialVersionUID = 0;
    public FormDescriptionPanel(AbstractNodeEditor editor){
        super(editor);
        setBorder(new TitledBorder(EditorUtil.LOWERED_BORDER, getDescriptionLabel()));
    }
        
    public String getDescriptionXPath(){
        return "xforms:hint/text()";
    }

    public String getDescriptionLabel(){
        return "設問文";
    }

    public int getPreferredHeight(){
        return 80;
    }
}
